Skip to content
Docs

Update Protection Bypass for Automation

PATCH/__remote/api.vercel.com/v1/projects/{idOrName}/protection-bypass
Update the deployment protection automation bypass for a project
/__remote/api.vercel.com/v1/projects/{idOrName}/protection-bypass
const response = await fetch('/__remote/api.vercel.com/v1/projects/idOrName/protection-bypass?teamId=string&slug=string', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"revoke": {
"secret": "string",
"regenerate": "true"
},
"generate": {
"secret": "string",
"note": "string"
},
"update": {
"secret": "string",
"isEnvVar": "true",
"note": "string"
}
}),
});
const data = await response.json();
console.log(data);
Response
{
"protectionBypass": "value"
}
AuthorizationbearerToken

Default authentication mechanism

idOrNamestringRequired
The unique project identifier or the project name
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
revokeobjectOptional
Optional instructions for revoking and regenerating a automation bypass
generateobjectOptional
Generate a new secret. If neither generate or revoke are provided, a new random secret will be generated.
updateobjectOptional
Update an existing bypass
200Success
protectionBypassobjectOptional
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
409Error
410Error